Bug 56761 - JMeter tries to stop already stopped JMS connection and displays "The connection is closed"
Summary: JMeter tries to stop already stopped JMS connection and displays "The connect...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 2.11
Hardware: All All
: P2 minor (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-23 07:49 UTC by Bernhard
Modified: 2014-09-06 09:53 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernhard 2014-07-23 07:49:29 UTC
If the JMS subscriber's "Each Sample"-radiobutton is selected and the test is run, JMeter will throw an Error at the end of the test:

2014/07/23 09:37:07 ERROR - jmeter.protocol.jms.client.ReceiveSubscriber: The connection is closed. 

From my point of view this happens because JMeter closes the connection after the Sampler is done and tries to close it again at the end of the test.

Java version: 1.7.0_40
JMeter version: 2.11 r1554548
Comment 1 Philippe Mouawad 2014-09-06 08:17:12 UTC
Hello,
Could you provide a simple Test Plan showing issue against ActiveMQ + log files ?
Thanks
Comment 2 Philippe Mouawad 2014-09-06 09:52:33 UTC
Date: Sat Sep  6 09:50:18 2014
New Revision: 1622838

URL: http://svn.apache.org/r1622838
Log:
Bug 56761 - JMeter tries to stop already stopped JMS connection and displays "The connection is closed"
Bugzilla Id: 56761

Modified:
    jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/ReceiveSubscriber.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Philippe Mouawad 2014-09-06 09:53:37 UTC
Thanks for report.
It would be great if you could test nightly build (tomorrow) which includes this fix and give us feedback.

http://jmeter.apache.org/nightly.html
1/ Installing JMeter runtime
2/ Download the _bin and _lib files
3/ Unpack the archives into the same directory structure
The other archives are not needed to run JMeter. 

Thanks